// 테스트용
var deviceType = "app";

var date = new Date();
var year = date.getFullYear(); 
var month = date.getMonth() + 1;
var day =  date.getDate();
var millsecond =  date.getMilliseconds();

var today = year.toString() + year.toString() + month.toString() + day.toString() +millsecond.toString();


/**
 * 달력
 * 
 *  href="#" 삭제
 *  json 데이터 형태 약간 다름
 * 
 * var yearMenu = new YearMenu2();
 * 
 * yearMenu.init()      - 초기화
 * yearMenu.getTarget() - 열림버튼 반환 
 * 
 */ 
var YearMenu2 = (function ($) {
    var wddoObj = function () {
        var calenderBtnA,
            calenderViewDIV,
            calenderYearUL,
            calenderMonthUL,
            calenderPrevBtnA,
            calenderNextBtnA,
            calenderPadding,
            calenderULWidth,
            swiper,
            date,
            jsonData,
            currentYear,
            currentMonth,
            invoMonth,
            init = function () {
                if ($('div.calendar').hasClass('no_click')) return false;
                
                jsonData = WDDO_SKT_SMART.billJOSNData;
                
                calenderBtnA = $('.current_month > a');
                calenderViewDIV = $('.choice_month');
                calenderYearUL = calenderViewDIV.find('ul.year');
                calenderMonthUL = calenderViewDIV.find('ul.month');
                calenderPrevBtnA = calenderViewDIV.find('.grd_prev_year > a');
                calenderNextBtnA = calenderViewDIV.find('.grd_next_year > a');
                
                calenderPadding = parseInt($('.header_com').css('paddingLeft'));
                
                date = new Date();
                
                createYear();
                createMonth();
                initLayout();
                initEvent();
                
                drawMonth();
                memoryDate();
                
            };//end init

        //연도 생성
        function createYear() {
            currentYear = date.getFullYear();
            calenderYearUL.empty();
            
            var year = currentYear;
            while (year >= 2012) {
                calenderYearUL.prepend('<li><a href="javascript:;">'+year+'</a></li>');
                
                year--;
            }
        }
        
        //월 생성
        function createMonth() {
            var date = 12;
            calenderMonthUL.empty();
            
            do {
                calenderMonthUL.prepend('<li>'+date+'월</li>');
            } while (--date)
            
            calenderMonthUL = calenderViewDIV.find('ul.month');
        }

        function initLayout() {
            calenderYearUL.find('li:last').addClass('on');
            
            calenderYearUL.find('> li').each(function (idx) {
                var target = calenderYearUL.find('> li').eq(idx);

                target.css('width', Math.round((WDDO_SKT_SMART.bw - (calenderPadding * 2)) / 4) );
            });
            
            calenderULWidth = (calenderYearUL.find('> li.on').index() + 1) * calenderYearUL.find('li:last').outerWidth(); //총 가로크기 정의
            
            swiper = new WddoSwiper(calenderYearUL, {space: calenderPadding});
            swiper.init();

            swiper.setPos((calenderULWidth - WDDO_SKT_SMART.bw + (calenderPadding*2)) * -1);
        }

        function initEvent() {
            //월 창 열림
            calenderBtnA.on('click.sktsmart', function (e) {
                if (calenderViewDIV.css('display') === 'none') {
                    calenderViewDIV.slideDown();
                } else {
                    calenderViewDIV.slideUp(function () {
                        memoryDate();
                    });
                }
            });
            
            //확인 클릭
            calenderViewDIV.find('a.btn_yellow').on('click.sktsmart', function (e) {
                //선택한 월이 있다면
                if (currentMonth !== undefined && isNaN(currentMonth) == false) {
                    //calenderBtnA.text(currentYear + '년 ' + currentMonth + '월');
                    calenderBtnA.trigger('onchange', {year:currentYear, month:currentMonth}); 
                    
                    
                    calenderMonthUL.each(function (idx) { 
                    	if($(this).find("a").hasClass("on") ){
                    		var month = currentMonth < 10 ? '0' + currentMonth.toString() : currentMonth.toString();
                    		invoMonth = invoMonth < 10 ? '0' + invoMonth.toString() : invoMonth.toString();
                    		if ( invoMonth != month)
                    			goBillCall(currentYear.toString()+month.toString());
                    		return;
                    	}
                    });
                } 
                
                $('.current_month > a').parent().removeClass("on");
                
                //defaultMonthOn();
                calenderViewDIV.slideUp(function () {
                    memoryDate();
                });
            });
            
            //연도 선택
            calenderYearUL.find('a').on('click.sktsmart', function (e) {
                var target = $(e.currentTarget);
                var idx = target.closest('li').index();
                
                defaultMonthOn();
                
                calenderYearUL.find('li').removeClass('on').eq(idx).addClass('on');
                
                currentYear = parseInt(target.text());
                
                drawMonth();
            });
            
            //월 선택
            calenderMonthUL.on('click', 'a', function (e) {
                var target = $(e.currentTarget);
                
                defaultMonthOn();
                
                target.addClass('on');
                
                currentMonth = target.closest('li').index() + 1;
            });
            
            //년도 좌우 버튼
            calenderPrevBtnA.on('click', function (e) {
                swiper.setPos(swiper.getPos() + (WDDO_SKT_SMART.bw - (calenderPadding*2)));
            });
            
            calenderNextBtnA.on('click', function (e) {
                swiper.setPos(swiper.getPos() - (WDDO_SKT_SMART.bw - (calenderPadding*2)));
            });
        }
        
        //현재 청구서 연도로 연도 이동(닫히면 발생)
        function memoryDate() {
        	// -> 년 , +1
            var viewYear = parseInt(calenderBtnA.text().substr(0, calenderBtnA.text().indexOf('년')));
            var viewMonth = parseInt(calenderBtnA.text().substr(calenderBtnA.text().indexOf('년')+1, calenderBtnA.text().length));
            
            currentYear = viewYear;
            currentMonth = viewMonth;
            invoMonth = viewMonth;
            
            var targetYearA;
            var targetYearIdx;
            calenderYearUL.find('li > a').each(function (idx) {
                if ($(this).text() === viewYear) {
                    //연도 활성화 기억
                    targetYearA = $(this).closest('li > a');
                    targetYearA.triggerHandler('click.sktsmart');
                    
                    //활성화 연도쪽으로 이동 이동
                    targetYearIdx = targetYearA.closest('li').index() + 2;
                    swiper.setPos(((targetYearIdx * calenderYearUL.find('li:last').outerWidth()) - WDDO_SKT_SMART.bw + (calenderPadding*2)) * -1);

                    //월 활성화 기억
                    calenderMonthUL.find('li').eq(viewMonth - 1).find('a').addClass('on');
                         
                    return false;
                } 
            });
        }
        
        //월 활성화 삭제
        function defaultMonthOn() {
            currentMonth = undefined;
            calenderMonthUL.find('a').removeClass('on');
        }
        
        //연도 변경하여 있는 청구서 월 선택할 수 있도록 활성화 변경 
        function drawMonth() {
            var i = 0;
            var date = [];
            
            if (!jsonData.invo_list)
            	return;
            
            if (jsonData !== undefined) {
            	
            	if ( jQuery.isArray( jsonData.invo_list)){
            		for (; i < jsonData.invo_list.length; i += 1) {
            			// 해당년도 찾아 청구서 있는 날짜 배열 반환
            			if (parseInt(jsonData.invo_list[i].year) === currentYear) 
            				date = jsonData.invo_list[i].date.split(',');
            		}
            	}else {
            		if (parseInt(jsonData.invo_list.year) === currentYear) 
            			date = jsonData.invo_list.date.split(',');
            	}
            	
                
                calenderMonthUL.find('li').removeClass('vitality').find('a').contents().unwrap();
                
                var month;
                $(date).each(function (idx) {
                    month = parseInt(date[idx]);
                    
                    calenderMonthUL.find('li').eq(month - 1).addClass('vitality').contents().wrap('<a href="javascript:;">'); 
                });
            }
        }

        /**
         * 숫자 1자릿수 앞에 0 붙이기
         */
        function force2Digits(value) {
            return (value < 10) ? '0' + value.toString() : value.toString();
        }

        this.init = function () {
            $(document).ready(function () {
                init();    
            });
        };
        
        this.getTarget = function () {
            return calenderBtnA;
        }
    };

    return wddoObj;
}(jQuery));

//문자열의 콤마 공백을 제거한다. - 최기문(2015.05.12)
var getNumber = function(str){
		str = "" + str.replace(/(^\s*)|(\s*$)|,/g, '').replace('원',''); 
	    return (new Number(str));
};

// 사용패턴 최근 4개월 그래프높이를 계산한다. - 최기문(2015.05.14)
var calcRecentPayGraph = function(){
		
	var amtArr = [];
	var arrIdx = 0;
	
	// 통신서비스 요금 그래프 높이 비율을 계산한다.
	$('#recentPay_1 > div > ul > li ').find('div').each(function(index, value){				 
		if($(this).attr('class') == 'graph_area'){		
			var val = $(this).attr('value') || "0";
			amtArr[arrIdx] = (getNumber(val)<0)?0:getNumber(val);
			arrIdx++;
		}			
	});

	$('#recentPay_1 > div > ul > li ').find('div').each(function(index, value){
		if($(this).attr('class') == 'graph_area'){	
			var val = $(this).attr('value') || "0";
			$(this).css('height', (Math.max.apply(Math, amtArr) == 0)?0:((getNumber(val) / Math.max.apply(Math, amtArr)) * 100));
		}						
	});

	
	// 부가사용 금액 그래프 높이 비율을 계산한다.
	$('#recentPay_2 > div > ul > li ').find('div').each(function(index, value){		 
		if($(this).attr('class') == 'graph_area'){		
			var val = $(this).attr('value') || "0";
			amtArr[arrIdx] = (getNumber(val)<0)?0:getNumber(val);
			arrIdx++;
		}			
	});

	$('#recentPay_2 > div > ul > li ').find('div').each(function(index, value){
		if($(this).attr('class') == 'graph_area'){
			var val = $(this).attr('value') || "0";
			$(this).css('height', (Math.max.apply(Math, amtArr) == 0)?0:((getNumber(val) / Math.max.apply(Math, amtArr)) * 100));
		}						
	});
	
};

// 청구요약 Pie 그래프를 출력한다. - 최기문(2015.05.12)
var drawPieChart = function(){

    var piedataArr = [];    
//    var billItmTotAmt = $('.payment_area > span').attr('value');
    var billItmTotAmt =0 ;
    
    $('.guide2 > table > tbody > tr').find('td').each(function(index, value){
		var billItmAmt = $(this).attr('value');
		billItmTotAmt += Math.abs(getNumber(billItmAmt));   				
});
    
    $('.guide2 > table > tbody > tr').find('td').each(function(index, value){
			var billItmAmt = $(this).attr('value');
			var billItmRatio = (Math.abs(getNumber(billItmAmt))/billItmTotAmt) * 100;		     				
			piedataArr[index] = billItmRatio;
	});
    
	/*
     function addLoadEvent(func){
        var oldonload = window.onload;
        if(typeof window.onload != 'function'){
            window.onload = func;
        }else{
            window.onload = function(){
                oldonload();
                func();
            };
        }
     }

    function loadAndSetChart() {

    }

    addLoadEvent(loadAndSetChart);*/
   	$('#piechart').setChart('pie', piedataArr);
    	
    // -- 150619 추가
};

// 청구서 영역 높이를 초기화 한다.
var initBodyHeight = function(){
  var bill = $('.the_body');
  
  if (bill.length > 0) {
      var height = parseInt(bill.find('.swiper-slide:first div.container').outerHeight());  
      bill.find('.swiper-slide').css('height', ''); //컨텐츠들이 상단에 붙게 모두 height 삭제
      bill.find('.swiper-wrapper').css('height', height).find('.swiper-slide:first').css('height', height); //0번 높이 초기화
  }	
};

var eventYNBtnCall = function(evf , mo, sn, ecn ){
	
   	if(evf == 'Y'){
   		$('#event_success').show();
   		
   		var eventUrl;
//   	   eventUrl = "http://203.236.17.171:8080/WSI/mobileweb/smartbill/event/EventWin.jsp?invo_dt="+invo_dt+"&acnt_num="+acnt_num;  // 개발기
   	   eventUrl = "http://smartbill.sktelecom.com/WSI/mobileweb/smartbill/event/EventWin.jsp?invo_dt="+invo_dt+"&acnt_num="+acnt_num;  // 운영기
   		
   		$.ajax({      
   			url: eventUrl,
   	        type:"POST",  
   	        data : "acnt_num="+sn+"&invo_dt="+mo+"&coupon_no="+ecn
   	    }).done(function(){

   	    });  
   		
   	}else{
   		$('#event_fail').show();
   	}	   	   	
   	WDDO_SKT_SMART.completeReflowDom();
   	
};

var loadDocument = function(){
	
//	toYmdComma
//	toYmdComma2 
//	toYmComma 
//	toYmYd
	
	// 그래프 0원일 경우 none_piechart 
	if ($(".circle_graph > div .txt").length > 0){
		if ( getNumber($(".circle_graph > div .txt").attr("value")) == "0"){
			$(".circle_graph").addClass("none_piechart");
		}
	}
	
	// YYYYMMDD -> YYYY년MM월
	if( $(".class_to_ymd").length > 0){
		$(".class_to_ymd").each(function(){
			$(this).prepend( makeDatefn ( $(this).attr("value")));
		});
	}
	
	// YYYYMMDD -> YYYY년MM월
	if( $(".class_to_ym_yd").length > 0){
		$(".class_to_ym_yd").each(function(){
			$(this).prepend( toYmYd ( $(this).attr("value")));
		});
	}
	
	// YYYYMMDD -> YYYY년 MM월
	if( $(".class_to_ym_ym_space").length > 0){
		$(".class_to_ym_ym_space").each(function(){
			$(this).prepend( toYmYd ( $(this).attr("value")).replace("년","년 "));
		});
	}

	// YYYYMMDD -> YYYY.MM.DD.
	if ($(".class_to_ymd_comma").length > 0){
		$(".class_to_ymd_comma").each(function(){
			$(this).prepend( toYmdComma ( $(this).attr("value")));
		});
	}

	// YYYYMM -> YYYY.MM.
	if ($(".class_to_ym_comma").length > 0){
		$(".class_to_ym_comma").each(function(){
			$(this).prepend( toYmComma ( $(this).attr("value")));
		});
	}

	if ($(".class_to_ymd_comma_main").length > 0){
		$(".class_to_ymd_comma_main").each(function(){
			$(this).prepend( toYmdComma2 ( $(this).attr("value")));
		});
	}
	
	if ( $(".to_refMark").length > 0 ) {
		$(".to_refMark").each(function(){
			$(this).text( $(this).text().replace("■","※"));
		});
	}
	
	// 납부정보 납기일 .찍기
	if ($("#row_pay_due_dt > td").length > 0){
		$("#row_pay_due_dt > td").text( makeDatefn($("#row_pay_due_dt > td").text()) );
	}
	
	// 납부정보 인출승인예정일
	if ($("#row_drw_dt > td").length > 0){
		$("#row_drw_dt > td").text( makeDatefn($("#row_drw_dt > td").text()) );
	}
	
	// 재발행 납부정보 납기일 .찍기
	if ($("#row_payDueDt > td").length > 0){
		$("#row_payDueDt > td").text( makeDatefn($("#row_payDueDt > td").text()) );
	}
	
	// 재발행 납부정보 인출승인예정일
//	if ($("#row_inchul > td").length > 0){
//		$("#row_inchul > td").text( makeDatefn($("#row_inchul > td").text()) );
//	}
	
	// 납부정보 추가인출(승인)일이 두줄로 나올경우 한줄로 합친다.
	if($('#row_add_drw > td').length > 0){
		$('#row_add_drw > td').text($('#row_add_drw > td').text() + $('#row_add_drw2 > td').text());
		$('#row_add_drw2').hide();
	}
	
	// 원 제거.
	if ( $(".won_replace").length > 0){
		$(".won_replace").each(function(){
			$(this).prepend (commaNum ( getNumber( $(this).attr("value") )));
		});
	}
	
	// event 페이지 이벤트 날짜 체크.
	eventCheck();
	
	
	// 청구요약 guide 영역에 대해 항목별 css style 정의 - 2015.05.12 최기문
	$('.guide2 > table > tbody > tr').find('th').each(function(index, value){
		var guideAreaCmt = $(this).attr('value');		 
		var arrCss = ["guide01","guide02","guide03","guide05"];
		var arrIdx = index;
		
		arrIdx >= arrIdx.length ? arrIdx = 0 : arrIdx;  
		if (guideAreaCmt == 'AQ9')
			$(this).parent().css('display','none');
		//else if ( guideAreaCmt == "AP9")
		//	$(this).addClass('guide04');
		else 
			$(this).addClass(arrCss[arrIdx]);
		
		/*if(guideAreaCmt == 'AQ9'){		// 납부하실 금액			
			$(this).parent().css('display','none');
		}else if(guideAreaCmt == 'AH9'){ // 통신서비스 요금
			$(this).addClass('guide01');
		}else if(guideAreaCmt == 'AS9'){ // 부가사용 금액
			$(this).addClass('guide02');
		}else if(guideAreaCmt == 'TX9'){ // 단말기 할부금
			$(this).addClass('guide03');
		}else{ 							 // 미납요금
			$(this).addClass('guide04');
		}*/
	});		
	
var oldAndroid = new Swiper().params === undefined;
    
    //top버튼
    var topBtn = $('.btn_top');

    //청구서
    var billMenuSwiper = new BillMenuSwiper();
    billMenuSwiper.init();
    
    billMenuSwiper.getContainer().on('onchange', function (e, idx) {
        if (billSwiper.slideTo !== undefined) billSwiper.slideTo(idx);  
        if (billSwiper.swipeTo !== undefined) billSwiper.swipeTo(idx);
    });
    
    var billSwiper = new Swiper('.the_body', {
    	// 150612 swipe 좌,우측 끝에서  < > 버튼 숨기기, swipe.css에 .swiper-button-disabled{display:none;}
    	nextButton: '.grd_next',
        prevButton: '.grd_prev',
    	buttonDisabledClass: 'swiper-button-disabled',
    	// -- 150612//
        followFinger: false, //  150619 추가
        touchAngle: 20,     //  150619 추가
        onSlideChangeStart : function (swiper) { //외부 컨트롤로 이동 시작
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
          $(swiper.wrapper).css('height', '');
          billMenuSwiper.setActivate(swiper.activeIndex); // 150625
        },
        onSliderMove : function (swiper) { // 터치하여 이동 시
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
            //$(swiper.wrapper).css('height', ''); // 150619 제거
        },
        onTransitionEnd : function (swiper) {
            swiperEnd(swiper);
        },
        onSlideChangeEnd : function (swiper) {  //Swiper-2.7.6
        	// 150528 wook custum으로 인디케이터 제어 추가
            swiperEnd(swiper);
        }
    });
       
    WDDO_SKT_SMART.completeReflowDom = function () {
    	swiperEnd(billSwiper, true);
    	// 150612 이벤트 당첨결과 확인 후 해당 element로 스크롤 이동
    	if ($('#showEventResult').length) { 
    		var headerHeight = $('.top_fixed').height();
    		var marginTop = $('.event_intro').outerHeight() + $('.event_box').outerHeight();
    		$(document).scrollTop(marginTop + headerHeight - 12);
    	}
    	// -- 150612
    };
    
    function swiperEnd(swiper, isAjax) {
    	var isAjax = isAjax || false;
        //$(swiper.slides).filter(':eq('+swiper.activeIndex+')').css('visibility', 'visible');
        var height = parseInt($(swiper.slides).eq(swiper.activeIndex).find('div.container').outerHeight());
        
        $(swiper.wrapper).css('height', height);
        $(swiper.slides).css('height', '').filter(':eq('+swiper.activeIndex+')').css('height', height);
        
        //billMenuSwiper.setActivate(swiper.activeIndex);
        
        
        if (oldAndroid) {
            // topBtn.css('top', WDDO_SKT_SMART.bh - topBtn.height()); //top 버튼 때문에 페이지 높이 커짐을 방지하기 위해 초기화 150624 구버전 탑버튼 제거
        }
        
        if (!isAjax) $(document).scrollTop(0);
    }
    
    //공통swiper
    var commonSwiper = new Swiper('.operation_swiper', {
        pagination: '.operation_paging',
        nextButton: '.operation_next',
        prevButton: '.operation_prev',
        buttonDisabledClass: 'swiper-button-disabled', // 150609 swipe 좌,우측 끝에서  < > 버튼 숨기기, swipe.css에 .swiper-button-disabled{display:none;} 추가
        followFinger: false, //  150619 추가
        touchAngle: 20,     //  150619 추가
        onSlideChangeStart : function (swiper) { //외부 컨트롤로 이동 시작
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
            $(swiper.wrapper).css('height', '');
        },
        onSliderMove : function (swiper) { // 터치하여 이동 시
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
            // $(swiper.wrapper).css('height', ''); // 150619 삭제
        },
        onTransitionEnd : function (swiper) {
            commmonSwiperEnd(swiper);
        },
        onSlideChangeEnd : function (swiper) {  //Swiper-2.7.6
            commmonSwiperEnd(swiper);
        }
    });
 
    function commmonSwiperEnd(swiper) {
        //$(swiper.slides).filter(':eq('+swiper.activeIndex+')').css('visibility', 'visible');
        var height = parseInt($(swiper.slides).eq(swiper.activeIndex).find('div.container').outerHeight());
        
        $(swiper.wrapper).css('height', height);
        $(swiper.slides).css('height', '').filter(':eq('+swiper.activeIndex+')').css('height', height);
        
        $(document).scrollTop(0);
    }
       
    // 150528 wook 이용안내 - 이용자가이드 swiper option
    function blockAccordionSwipe() {

    	if ($('h1').text().indexOf('이용안내') == 0) {
	    	var $comm = $('.operation_swiper');
	    	var height = parseInt($comm.find('.swiper-slide:first div.container').outerHeight());
	        $comm.find('.swiper-slide').css('height', ''); //컨텐츠들이 상단에 붙게 모두 height 삭제
	        $comm.find('.swiper-wrapper').css('height', height).find('.swiper-slide:first').css('height', height); //0번 높이 초기화
	        var isTouchMoved = false;
	    	if ($('.accordion_list').length) {
				$('.accordion_list').parent().on('touchstart', function(e) {
                                            console.log('start');
					e.stopPropagation();
					commonSwiper.detachEvents();	
					isTouchMoved = false;
				});
				
				$('.accordion_list').parent().on('touchmove', function(e) {
					e.stopPropagation();
					if (!isTouchMoved) {
						commonSwiper.attachEvents();
						isTouchMoved = true;
					}
				});
				$('.accordion_list').parent().on('touchend', function(e) {
					e.stopPropagation();
					if (!isTouchMoved) commonSwiper.attachEvents();
				});
			}
	    }
    }
    
    if ($('.operation_swiper').length) {
    	//blockAccordionSwipe();	// 150619 주석처리 
    }
    
    //스크롤 top
    topBtn.on('click.sktsmart', function (e) {
         if (oldAndroid) {
            $(document).scrollTop(0);
         } else {
            $('body').animate({scrollTop:0}, '500', 'swing');
         }
         
         e.preventDefault();
    });

    //아코디언 메뉴
    if ($('a.accordion_title').length > 0) {
        $('a.accordion_title').on('click.sktsmart', function (e) {
            var target = $(e.currentTarget);
            
            target.closest('li').toggleClass('on');
            
            // 150528 wook 아코디언 하나만 열기, 150609 하나씩 열고 닫을 수 있게 수정
            //if (target.closest('ul').hasClass('one_accordion')) {
            	//target.closest('ul').find('li').removeClass('on');
            	//target.closest('li').addClass('on');
            //}
            
            //청구서 컨텐츠 이면 높이 조정
            if (target.closest('.the_body').length) {
                var height = parseInt(target.closest('.swiper-slide').find('div.container').outerHeight());
                $(billSwiper.wrapper).css('height', height);
                $(billSwiper.slides).filter(':eq('+billSwiper.activeIndex+')').css('height', height);
            }
            
            // 150528 wook 이용안내 - 청구요약 높이 조정
            if ($('h1').text().indexOf('이용안내') == 0) {
                var height = parseInt(target.closest('.swiper-slide').find('div.container').outerHeight());
                $(commonSwiper.wrapper).css('height', height);
                $(commonSwiper.slides).filter(':eq('+commonSwiper.activeIndex+')').css('height', height);
            }
            
            e.preventDefault();
        });
    }
    
    //인풋 x
    $('.input_txt').on('keyup.sktsmart', function (e) {
        var target = $(e.currentTarget);
        
        if (target.val().length > 0) {
            target.next('.btn_del').show();
        } else {
            target.next('.btn_del').hide();
        } 
    });
    $('.btn_del').on('click.sktsmart', function (e) {
         var target = $(e.currentTarget);
         target.prev().val('');
    });
    
    //체크 박스
    $('.form_chk > label').on('click', function (e) {
        var target = $(e.currentTarget);
        
        target.toggleClass('c_on');
    });
    
    
    // 150528 wook 요금납구 - 즉시납부 _ 상당 선택시 모두 체크 / 체크해제
	if($('.hidden').text().indexOf('즉시납부') != -1) {
		$('.form_chk > label').eq(0).on('click', function (e) {
			if ($('.form_chk > label').eq(0).hasClass('c_on')) {
				$(e.currentTarget).closest('table').find($('.form_chk > label')).addClass('c_on');
			} else {
				$(e.currentTarget).closest('table').find($('.form_chk > label')).removeClass('c_on');
			}
		});
	}

    //라디오 버튼
    $('.form_radio > label').on('click', function (e) {
        var target = $(e.currentTarget);
        
        target.toggleClass('c_on');
    });
    
    //디자인 토글 라디오버튼
    $('.switch-toggle').on('click', 'input', function (e) {
        var target = $(e.currentTarget);
        var bar = target.siblings('a');
        var inputs = target.siblings('input').andSelf();
        var pos = ( target.filter(":checked").index() === 0 ) ? '1px' : '50%';
        
        bar.animate({
            'left' : pos
        }, {queue:false, duration: 300});
        
        bar.css('transition', 'all 0s');
    });
    
	//이용안내 header 달력 토글 _ 150616
	$('.current_month > a').on('click', function (e) {
		e.preventDefault();
		var target = $(e.currentTarget).parent();
		
		target.toggleClass('on');
	}); // -- 150616

    //서브메인 스와이프
    var swipeConLen = $('.submain .swiper-slide').length;
    var subMainSwiper = new Swiper('.submain', {
        /*touchMoveStopPropagation: false,*/
        slidesPerView: 1.5,
        spaceBetween: 8,
        freeMode: true,
        freeModeFluid : true, //Swiper-2.7.6
        offsetPxAfter : 8*(swipeConLen-1), //Swiper-2.7.6
        onTransitionEnd : function (swiper) {
            subMainSwiperEnd(swiper);
        },
        onSlideChangeEnd : function (swiper) {  //Swiper-2.7.6
            subMainSwiperEnd(swiper);
        }
    });
    
     //$('.submain .swiper-slide .short_cut').css('-webkit-tap-highlight-color', 'rgba(0, 0, 0, 0)');
    
    function subMainSwiperEnd(swiper) {
        //$(document).scrollTop(0); // 150611 서브메인 페이지 swipe 후 페이지 top: 0 제거
    }
    
    if ($('.submain').length > 0 && oldAndroid) $('.submain .swiper-slide').css('marginRight', 8); //Swiper-2.7.6
    
    //리사이징
    $(window).on('resize.sktsmart', function (e) {// orientationchange.sktsmart
         resize();
    });
   
    function resize() {
        WDDO_SKT_SMART.bw = $(document).outerWidth();
        WDDO_SKT_SMART.bh = $(window).outerHeight();
        
        //console.log('browser width : ' + WDDO_SKT_SMART.bw);
    }
    resize();

    //안드로이드 구분하여 적용
    if (oldAndroid) {
    	// 150624 구버전에서 top버튼 없앰
    	/* $(window).on('scroll.sktsmart', function (e) {
            topBtn.css('top', $(document).scrollTop() + WDDO_SKT_SMART.bh - topBtn.height());
        }).triggerHandler('scroll.sktsmart'); */
        topBtn.css('display', 'none');
    } else {
        topBtn.css('position', 'fixed');
    }
};


// 금액표시 
function commaNum(str) {
	str = String(str);
    return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g, '$1,');
};

var Request = function()
{
	this.getParam = function( name )
	{
		var result = '';
		var thisUrl = unescape(location.href);
		var params = thisUrl.substring(thisUrl.indexOf('?')+1).split('&');

		for(var i = 0 ; i < params.length ; i++)
		{
			var keyValue = params[i].split('=');
			if(keyValue[0].toUpperCase() == name.toUpperCase())
			{
				result = keyValue[1];
				break;
			}
		}
		return result;
	}
};


// 소액결제& 휴대폰결제 합계 및 시간 
var getPayPriceTime = function( target , obj){
	var totPrice = 0;
	$("."+target+"_price").each(function(){
		var sum = Number($(this).text().replace(/(^\s*)|(\s*$)|,/g, ''));
		totPrice += sum;  
	});
	$("#"+target+"_tot").text(commaNum(totPrice) +"원");
	
};


// submain -> detail
// wireless_bill : 무선(단회선)
// wireless_bill_mline : 무선(다회선)
// wire_bill 유무선
var go = function ( target , menuid , billType){
 	var request = new Request();
 	var familyYN = request.getParam("familyYN") || "";
	location.href = "../html/"+target+".html?menuid="+menuid+"&billType="+billType +"&familyYN="+familyYN;
}

// 날짜포맷 20150602 -> 2015. 6.
var makeDatefn2 = function (str){
	 
	var makeDate ="";
	var year =  str.substring(0,4)+".";
	var month = Number(str.substring(4,6)) >= 10 ? str.substring(4,6) + "." : str.substring(4,6).replace("0"," ") +".";
	//var day  =  Number(str.substring(6,8)) > 10 ? str.substring(6,8) + "." : str.substring(6,8).replace("0"," ") +".";
	makeDate = year.toString() + month.toString();
//	makeDate = year.toString() + month.toString() + day.toString();
	return makeDate;
	};


//작성일 2015.05.05 -> 2015.5.5
var makeDatefn = function (str){
 
 var makeDate ="";
 if (str.indexOf(".") < 0){
	 return str;
 }
 var arr = str.split(".");
 $(arr).each(function(idx){
  makeDate += Number (arr[idx]) >= 10 ? arr[idx]+". " : arr[idx].replace("0"," ") +". ";
 });
 
 return makeDate;
};

var makeDateSplitfn = function (str){
   
 var makeDate = "";
 var arr1 = str.split("~");
 
 $(arr1).each(function(idx){
  makeDate += makeDatefn(arr1[idx]) + " ~ ";
 });
 
 makeDate = makeDate.substring(0, makeDate.length-3); 
 
 return  makeDate;
};

// submain 에서 공통적으로 사용되는 script
var loadSubMain = function(){
	
	// 계절 이미지 변경
	// main_bgSpring.jpg   3~5
	// main_bgSummer.jpg 6~8
	// main_bgFall.jpg 9~11
	// main_bgWinter.jpg 12~1
	var date = new Date();
	var month =   Number(date.getMonth() + 1); 

	if ( month == 3 || month == 4 || month == 5)
		$("body").css("background-image","url('../images/common/main_bgSpring.jpg')");
	else if ( month == 6 || month == 7 || month == 8)
		$("body").css("background-image","url('../images/common/main_bgSummer.jpg')");
	else if (month == 9 || month == 10 || month == 11)
		$("body").css("background-image","url('../images/common/main_bgFall.jpg')");
	else if ( month == 12 || month == 1 || month == 2)
		$("body").css("background-image","url('../images/common/main_bgWinter.jpg')");

	// 2015.05.05 -> 2015.5.5. 날짜변환
	if ( $("#billDate_in").length > 0){
		$("#billDate_out").after(toYmdComma($("#billDate_in").attr("value")));
	}
	
	// 납부정보 지로/입금전용/자납 
	if ( $("#payinfo_card > div > a > .content_area > dl ").length > 0){
		
		var tmpDt, tmpDd, payType, payDateTitle ="", payDate ="";

		$("#payinfo_card > div > a > .content_area > dl ").hide();
		$("#payinfo_big_txt").hide();
		
		$("#payinfo_card > div > a > .content_area > dl ").each(function(idx){
			tmpDt  = $(this).find("dt").text();
			tmpDd = $(this).find("dd").text();
				
			if ( tmpDt  == "은행(카드)명") $(this).show();
			else if (tmpDt == "계좌(카드)번호") $(this).show();
			else if (tmpDt == "납기일"){
				payDateTitle = tmpDt;
				payDate = tmpDd;
			}
			else if (tmpDt == "인출(승인)예정일" ) {
				payDateTitle = tmpDt;
				payDate = tmpDd;
			}
			else if (tmpDt =="지로번호") $(this).show();
			else if (tmpDt =="전자납부번호") $(this).show();
			else if( tmpDd == "입금전용") $(this).show();
		});
		
		if( payDateTitle != ""){
			$("#payinfo_big_txt").show();
			$("#payinfo_big_txt").prepend(payDateTitle);
			if ( payDate != "[object Object]"){
				$("#payinfo_big_txt > strong").text(makeDatefn(payDate));
			}else if( payDate == "" || payDate == "[object Object]" ){
				$("#payinfo_big_txt").hide();
			}
		}
		
		
	} else{
		$("#payinfo_card").hide();
	}
};

// 메인 파이차트 날짜 
var pieDocDt = function(){
	var tmp = $("#docDt").attr("value") || "0";
	if(tmp == "0"){
		return;
	}
	var docDt ="";
	var arr = tmp.split(".");
	var year = arr[0]+"년 " ;
    var month = Number(arr[1]) >= 10 ? arr[1]+"월 " : arr[1].replace("0"," ") +"월 ";
	var day = Number(arr[2]) >= 10 ?arr[2]+"일 " : arr[2].replace("0"," ") +"일 ";
						
	docDt = year + month + day;
	 
	$("#docDt").text(docDt + "기준으로 작성된 금액이며, 이후 요금을 납부하신 경우 실제 납부하실 금액과 차이가 있을 수 있습니다." );
};

// YYYYMMDD 
var toYyyymmdd = function( val ){
	if (val == null) return "";
	var ymd;

	ymd = val.replace(" ","").trim();
	
	var delim;

	var yyyy = "";
	var mm = "";
	var dd ="";
	
	if( ymd.indexOf(".") > 0 ) delim = ".";
	else if( ymd.indexOf("-") > 0 ) delim = "-";
	else if( ymd.indexOf("/") > 0 ) delim = "/";
	else if( ymd.indexOf("월") > 0 ) {
		ymd = ymd.replace("년", " ").replace("월", " ").replace("일"," ");
		delim = " ";
	}
	else {
		return ymd;
	}
	
	yyyy = ymd.substring(0,4);
	mm =  ymd.substring(ymd.indexOf(delim)+1);
	dd = mm.substring(mm.indexOf(delim)+1);
	mm = mm.substring(0, mm.indexOf(delim));
	
	if (mm.length == 1) mm = "0"+mm;
	if (dd.length == 1) dd = "0"+dd;

	return yyyy+mm+dd;
}

// YYYYMM
var toYyyymm = function( val ){
	if (val == null) return "";
	var ymd;
	ymd = val.replace(" ","").trim();
	
	var delim;
	
	var yyyy = "";
	var mm = "";
	
	if( ymd.indexOf(".") > 0 ) delim = ".";
	else if( ymd.indexOf("-") > 0 ) delim = "-";
	else if( ymd.indexOf("/") > 0 ) delim = "/";
	else if( ymd.indexOf("월") > 0 ) {
		ymd = ymd.replace("년", " ").replace("월", " ");
		delim = " ";
	}
	else return ymd;
	
	
	yyyy = ymd.substring(0,4);
	mm =  ymd.substring(ymd.indexOf(delim)+1);
	mm = mm.substring(0, mm.indexOf(delim));
	
	if (mm.length == 1) mm = "0"+mm;
	
	return yyyy+mm;
}

// 청구요약 : YYYYMMDD -> YYYY. MM. DD.
var toYmdComma = function (val){
	if(val == null || val =="[object Object]" || val == "") return "";
	
	var ymd= val;
	var ymd2= "";
	
	if(val.indexOf("~") > 0){
		var tmp = val;
		var delim = "~";
		ymd = tmp.substring(0,tmp.indexOf(delim));
		ymd2 = tmp.substring(tmp.indexOf(delim)+1).replace(" ","").trim();
	}
	
	ymd = toYyyymmdd(ymd);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";
	dd = dd.replace("~","");
	
	
	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);
	
	if (ymd2.length > 0) {
		ymd2 = toYyyymmdd(ymd2);
		
		if ( !jQuery.isNumeric(ymd2) )
			return yyyy+"." + mm+"."+dd+". ~ " + ymd2; 
		
		var yyyy2 = ymd2.substring(0,4) || "";
		var mm2 = ymd2.substring(4,6) || "";
		var dd2 = ymd2.substring(6,8) || "";
		
		if( mm2.charAt(0) == "0") mm2 = mm2.substring(1);
		if( dd2.charAt(0) == "0") dd2 = dd2.substring(1);
		return yyyy+". " + mm+". "+dd+". ~ " + yyyy2+". " + mm2+". "+dd2+"."; 
	}
	
	return yyyy+". " + mm+". "+dd+"."
	
}

// 청구상세 : YYYYMMDD -> YYYY.MM.DD.
var toYmdComma2 = function(val){
	
	if(val == null || val =="[object Object]") return "";
	
	var ymd=val;
	var ymd2= "";
	
	if(val.indexOf("~") > 0){
		var tmp = val;
		var delim = "~";
		ymd = tmp.substring(0,tmp.indexOf(delim));
		ymd2 = tmp.substring(tmp.indexOf(delim)+1).replace(" ","").trim();
	}
	
	ymd = toYyyymmdd(ymd);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";
	
	dd = dd.replace("~","");
	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);
	
	if (ymd2.length > 0) {
		ymd2 = toYyyymmdd(ymd2);
		
		if ( !jQuery.isNumeric(ymd2) )
			return yyyy+"." + mm+"."+dd+". ~ " + ymd2; 
			
		var yyyy2 = ymd2.substring(0,4) || "";
		var mm2 = ymd2.substring(4,6) || "";
		var dd2 = ymd2.substring(6,8) || "";
		
		if( mm2.charAt(0) == "0") mm2 = mm2.substring(1);
		if( dd2.charAt(0) == "0") dd2 = dd2.substring(1);
		return yyyy+"." + mm+"."+dd+". ~ " + yyyy2+"." + mm2+"."+dd2+"."; 
	}
	return yyyy+"." + mm+"."+dd+"."
}

// 사용패턴 : YYYYMMDD -> YYYY.MM.
var toYmComma = function(val){
	
	if(val == null || val =="") return "";
	if(val == "[object Object]") return "";
	
	
	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";
	
	
	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);
	
	return yyyy+"." + mm+".";
}

// 최근총사용량 : YYYYMMDD -> YYYY년MM월
var toYmYd = function(val){
	
	if(val == null) return "";
	if(val == "[object Object]") return "";
	
	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";
	
	
	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);
	
	return yyyy+"년" + mm+"월";
}

var eventCheck = function(){
	// event 페이지 이벤트 날짜 체크.
	if ( $("#cont_type_event").length > 0){
		 var current_date;
		 var today;
		 var evdValue = $("#event_end_date").attr("value");
		 
		 if ( evdValue ){
		 	today = new Date();
    		year = today.getFullYear().toString();
    		month = (today.getMonth()+1).toString();
    		day = today.getDate().toString();	
    		 
    		current_date = year +  (month[1]?month:"0"+month[0]) + (day[1]?day:"0"+day[0]);
    		 
    		if (current_date <= evdValue){
    			 $(".event_box").show();
    			 $(".event_box2").hide();
    			 $("#event_yn_btn").show();
    		 }else{
    			 $(".event_box").hide();
    			 $(".event_box2").show();
    			 $("#event_yn_btn").hide();
    		 }
		 }
		 else {
			 $(".event_box").hide();
			 $(".event_box2").show();
			 $("#event_yn_btn").hide();
		 }
	}
}