/**
 * @author : Jo Yun Ki (ddoeng@naver.com)
 * @version : 1.0
 * @since : 2015.03.23
 *
 * skt smart script
 * 
 */

/**
 * 공통 객체
 * .bw : 브라우저 가로 사이즈 
 */
var WDDO_SKT_SMART = function () {};

$(window).load(function () {
    var bill = $('.the_body');
    
    if (bill.length > 0) {
        var height = parseInt(bill.find('.swiper-slide:first div.container').outerHeight());
        bill.find('.swiper-slide').css('height', ''); //컨텐츠들이 상단에 붙게 모두 height 삭제
        bill.find('.swiper-wrapper').css('height', height).find('.swiper-slide:first').css('height', height); //0번 높이 초기화
    }
    
    var comm = $('.operation_swiper');
    if (comm.length > 0) {
    	var height = parseInt(comm.find('.swiper-slide:first div.container').outerHeight());
        comm.find('.swiper-slide').css('height', ''); //컨텐츠들이 상단에 붙게 모두 height 삭제
        comm.find('.swiper-wrapper').css('height', height).find('.swiper-slide:first').css('height', height); //0번 높이 초기화
    }
    
});

$(document).ready(function () {    
    //alert('skt smart common');
    var oldAndroid = new Swiper().params === undefined;
    
    //top버튼
    var topBtn = $('.btn_top');

    //청구서
    var billMenuSwiper = new BillMenuSwiper();
    billMenuSwiper.init();
    
    billMenuSwiper.getContainer().on('onchange', function (e, idx) {
        if (billSwiper.slideTo !== undefined) billSwiper.slideTo(idx);  
        if (billSwiper.swipeTo !== undefined) billSwiper.swipeTo(idx);
    });
    
    var billSwiper = new Swiper('.the_body', {
    	// 150612 swipe 좌,우측 끝에서  < > 버튼 숨기기, swipe.css에 .swiper-button-disabled{display:none;}
    	nextButton: '.grd_next',
        prevButton: '.grd_prev',
    	buttonDisabledClass: 'swiper-button-disabled',
    	// -- 150612//
        followFinger: false, //  150619 추가
        touchAngle: 20,     //  150619 추가
        onSlideChangeStart : function (swiper) { //외부 컨트롤로 이동 시작
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
          $(swiper.wrapper).css('height', '');
          billMenuSwiper.setActivate(swiper.activeIndex); // 150625
        },
        onSliderMove : function (swiper) { // 터치하여 이동 시
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
            //$(swiper.wrapper).css('height', ''); // 150619 제거
        },
        onTransitionEnd : function (swiper) {
            swiperEnd(swiper);
        },
        onSlideChangeEnd : function (swiper) {  //Swiper-2.7.6
        	// 150528 wook custum으로 인디케이터 제어 추가
            swiperEnd(swiper);
        }
    });
       
    WDDO_SKT_SMART.completeReflowDom = function () {
    	swiperEnd(billSwiper, true);
    	// 150612 이벤트 당첨결과 확인 후 해당 element로 스크롤 이동
    	if ($('#showEventResult').length) { 
    		var headerHeight = $('.top_fixed').height();
    		var marginTop = $('.event_intro').outerHeight() + $('.event_box').outerHeight();
    		$(document).scrollTop(marginTop + headerHeight - 12);
    	}
    	// -- 150612
    };
    
    function swiperEnd(swiper, isAjax) {
    	var isAjax = isAjax || false;
        //$(swiper.slides).filter(':eq('+swiper.activeIndex+')').css('visibility', 'visible');
        var height = parseInt($(swiper.slides).eq(swiper.activeIndex).find('div.container').outerHeight());
        
        $(swiper.wrapper).css('height', height);
        $(swiper.slides).css('height', '').filter(':eq('+swiper.activeIndex+')').css('height', height);
        
        //billMenuSwiper.setActivate(swiper.activeIndex);
        
        
        if (oldAndroid) {
            // topBtn.css('top', WDDO_SKT_SMART.bh - topBtn.height()); //top 버튼 때문에 페이지 높이 커짐을 방지하기 위해 초기화 150624 구버전 탑버튼 제거
        }
        
        if (!isAjax) $(document).scrollTop(0);
    }
    
    //공통swiper
    var commonSwiper = new Swiper('.operation_swiper', {
        pagination: '.operation_paging',
        nextButton: '.operation_next',
        prevButton: '.operation_prev',
        buttonDisabledClass: 'swiper-button-disabled', // 150609 swipe 좌,우측 끝에서  < > 버튼 숨기기, swipe.css에 .swiper-button-disabled{display:none;} 추가
        followFinger: false, //  150619 추가
        touchAngle: 20,     //  150619 추가
        onSlideChangeStart : function (swiper) { //외부 컨트롤로 이동 시작
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
            $(swiper.wrapper).css('height', '');
        },
        onSliderMove : function (swiper) { // 터치하여 이동 시
            //$(swiper.slides).not(':eq('+swiper.activeIndex+')').css('visibility', 'hidden');
            // $(swiper.wrapper).css('height', ''); // 150619 삭제
        },
        onTransitionEnd : function (swiper) {
            commmonSwiperEnd(swiper);
        },
        onSlideChangeEnd : function (swiper) {  //Swiper-2.7.6
            commmonSwiperEnd(swiper);
        }
    });
 
    function commmonSwiperEnd(swiper) {
        //$(swiper.slides).filter(':eq('+swiper.activeIndex+')').css('visibility', 'visible');
        var height = parseInt($(swiper.slides).eq(swiper.activeIndex).find('div.container').outerHeight());
        
        $(swiper.wrapper).css('height', height);
        $(swiper.slides).css('height', '').filter(':eq('+swiper.activeIndex+')').css('height', height);
        
        $(document).scrollTop(0);
    }
       
    // 150528 wook 이용안내 - 이용자가이드 swiper option
    function blockAccordionSwipe() {

    	if ($('h1').text().indexOf('이용안내') == 0) {
	    	var $comm = $('.operation_swiper');
	    	var height = parseInt($comm.find('.swiper-slide:first div.container').outerHeight());
	        $comm.find('.swiper-slide').css('height', ''); //컨텐츠들이 상단에 붙게 모두 height 삭제
	        $comm.find('.swiper-wrapper').css('height', height).find('.swiper-slide:first').css('height', height); //0번 높이 초기화
	        var isTouchMoved = false;
	    	if ($('.accordion_list').length) {
				$('.accordion_list').parent().on('touchstart', function(e) {
                                            console.log('start');
					e.stopPropagation();
					commonSwiper.detachEvents();	
					isTouchMoved = false;
				});
				
				$('.accordion_list').parent().on('touchmove', function(e) {
					e.stopPropagation();
					if (!isTouchMoved) {
						commonSwiper.attachEvents();
						isTouchMoved = true;
					}
				});
				$('.accordion_list').parent().on('touchend', function(e) {
					e.stopPropagation();
					if (!isTouchMoved) commonSwiper.attachEvents();
				});
			}
	    }
    }
    
    if ($('.operation_swiper').length) {
    	//blockAccordionSwipe();	// 150619 주석처리 
    }
    
    //스크롤 top
    topBtn.on('click.sktsmart', function (e) {
         if (oldAndroid) {
            $(document).scrollTop(0);
         } else {
            $('body').animate({scrollTop:0}, '500', 'swing');
         }
         
         e.preventDefault();
    });

    //아코디언 메뉴
    if ($('a.accordion_title').length > 0) {
        $('a.accordion_title').on('click.sktsmart', function (e) {
            var target = $(e.currentTarget);
            
            target.closest('li').toggleClass('on');
            
            // 150528 wook 아코디언 하나만 열기, 150609 하나씩 열고 닫을 수 있게 수정
            //if (target.closest('ul').hasClass('one_accordion')) {
            	//target.closest('ul').find('li').removeClass('on');
            	//target.closest('li').addClass('on');
            //}
            
            //청구서 컨텐츠 이면 높이 조정
            if (target.closest('.the_body').length) {
                var height = parseInt(target.closest('.swiper-slide').find('div.container').outerHeight());
                $(billSwiper.wrapper).css('height', height);
                $(billSwiper.slides).filter(':eq('+billSwiper.activeIndex+')').css('height', height);
            }
            
            // 150528 wook 이용안내 - 청구요약 높이 조정
            if ($('h1').text().indexOf('이용안내') == 0) {
                var height = parseInt(target.closest('.swiper-slide').find('div.container').outerHeight());
                $(commonSwiper.wrapper).css('height', height);
                $(commonSwiper.slides).filter(':eq('+commonSwiper.activeIndex+')').css('height', height);
            }
            
            e.preventDefault();
        });
    }
    
    //인풋 x
    $('.input_txt').on('keyup.sktsmart', function (e) {
        var target = $(e.currentTarget);
        
        if (target.val().length > 0) {
            target.next('.btn_del').show();
        } else {
            target.next('.btn_del').hide();
        } 
    });
    $('.btn_del').on('click.sktsmart', function (e) {
         var target = $(e.currentTarget);
         target.prev().val('');
    });
    
    //체크 박스
    $('.form_chk > label').on('click', function (e) {
        var target = $(e.currentTarget);
        
        target.toggleClass('c_on');
    });
    
    
    // 150528 wook 요금납구 - 즉시납부 _ 상당 선택시 모두 체크 / 체크해제
	if($('.hidden').text().indexOf('즉시납부') != -1) {
		$('.form_chk > label').eq(0).on('click', function (e) {
			if ($('.form_chk > label').eq(0).hasClass('c_on')) {
				$(e.currentTarget).closest('table').find($('.form_chk > label')).addClass('c_on');
			} else {
				$(e.currentTarget).closest('table').find($('.form_chk > label')).removeClass('c_on');
			}
		});
	}

    //라디오 버튼
    $('.form_radio > label').on('click', function (e) {
        var target = $(e.currentTarget);
        
        target.toggleClass('c_on');
    });
    
    //디자인 토글 라디오버튼
    $('.switch-toggle').on('click', 'input', function (e) {
        var target = $(e.currentTarget);
        var bar = target.siblings('a');
        var inputs = target.siblings('input').andSelf();
        var pos = ( target.filter(":checked").index() === 0 ) ? '1px' : '50%';
        
        bar.animate({
            'left' : pos
        }, {queue:false, duration: 300});
        
        bar.css('transition', 'all 0s');
    });
    
    //이용안내 header 달력 토글 _ 150616
    $('.current_month > a').on('click', function (e) {
    	e.preventDefault();
    	var target = $(e.currentTarget).parent();
    	
    	target.toggleClass('on');
    }); // -- 150616

    //서브메인 스와이프
    var swipeConLen = $('.submain .swiper-slide').length;
    var subMainSwiper = new Swiper('.submain', {
        /*touchMoveStopPropagation: false,*/
        slidesPerView: 1.5,
        spaceBetween: 8,
        freeMode: true,
        freeModeFluid : true, //Swiper-2.7.6
        offsetPxAfter : 8*(swipeConLen-1), //Swiper-2.7.6
        onTransitionEnd : function (swiper) {
            subMainSwiperEnd(swiper);
        },
        onSlideChangeEnd : function (swiper) {  //Swiper-2.7.6
            subMainSwiperEnd(swiper);
        }
    });
    
     //$('.submain .swiper-slide .short_cut').css('-webkit-tap-highlight-color', 'rgba(0, 0, 0, 0)');
    
    function subMainSwiperEnd(swiper) {
        //$(document).scrollTop(0); // 150611 서브메인 페이지 swipe 후 페이지 top: 0 제거
    }
    
    if ($('.submain').length > 0 && oldAndroid) $('.submain .swiper-slide').css('marginRight', 8); //Swiper-2.7.6
    
    //리사이징
    $(window).on('resize.sktsmart', function (e) {// orientationchange.sktsmart
         resize();
    });
   
    function resize() {
        WDDO_SKT_SMART.bw = $(document).outerWidth();
        WDDO_SKT_SMART.bh = $(window).outerHeight();
        
        //console.log('browser width : ' + WDDO_SKT_SMART.bw);
    }
    resize();

    //안드로이드 구분하여 적용
    if (oldAndroid) {
    	// 150624 구버전에서 top버튼 없앰
    	/* $(window).on('scroll.sktsmart', function (e) {
            topBtn.css('top', $(document).scrollTop() + WDDO_SKT_SMART.bh - topBtn.height());
        }).triggerHandler('scroll.sktsmart'); */
        topBtn.css('display', 'none');
    } else {
        topBtn.css('position', 'fixed');
    }
});

/*
function addLoadEvent(func){
    var oldonload = window.onload;
    if(typeof window.onload != 'function'){
        window.onload = func;
    }else{
        window.onload = function(){
            oldonload();
            func();
        };
    }
} */

/**
 * 달력
 * 
 * var yearMenu = new YearMenu();
 * 
 * yearMenu.init()      - 초기화
 * yearMenu.getTarget() - 열림버튼 반환 
 * 
 */ 
var YearMenu = (function ($) {
    var wddoObj = function () {
        var calenderBtnA,
            calenderViewDIV,
            calenderYearUL,
            calenderMonthUL,
            calenderPrevBtnA,
            calenderNextBtnA,
            calenderPadding,
            calenderULWidth,
            swiper,
            date,
            jsonData,
            currentYear,
            currentMonth,
            init = function () {
                if ($('div.calendar').hasClass('no_click')) return false;
                
                jsonData = WDDO_SKT_SMART.billJOSNData;
                
                calenderBtnA = $('.current_month > a');
                calenderViewDIV = $('.choice_month');
                calenderYearUL = calenderViewDIV.find('ul.year');
                calenderMonthUL = calenderViewDIV.find('ul.month');
                calenderPrevBtnA = calenderViewDIV.find('.grd_prev_year > a');
                calenderNextBtnA = calenderViewDIV.find('.grd_next_year > a');
                
                calenderPadding = parseInt($('.header_com').css('paddingLeft'));
                
                date = new Date();
                
                createYear();
                createMonth();
                initLayout();
                initEvent();
                
                drawMonth();
                memoryDate();
            };//end init

        //연도 생성
        function createYear() {
            currentYear = date.getFullYear();
            calenderYearUL.empty();
            
            var year = currentYear;
            while (year >= 2012) {
                calenderYearUL.prepend('<li><a href="#">'+year+'</a></li>');
                
                year--;
            }
        }
        
        //월 생성
        function createMonth() {
            var date = 12;
            calenderMonthUL.empty();
            
            do {
                calenderMonthUL.prepend('<li>'+date+'월</li>');
            } while (--date)
            
            calenderMonthUL = calenderViewDIV.find('ul.month');
        }

        function initLayout() {
            calenderYearUL.find('li:last').addClass('on');
            
            calenderYearUL.find('> li').each(function (idx) {
                var target = calenderYearUL.find('> li').eq(idx);

                target.css('width', Math.round((WDDO_SKT_SMART.bw - (calenderPadding * 2)) / 4) );
            });
            
            calenderULWidth = (calenderYearUL.find('> li.on').index() + 1) * calenderYearUL.find('li:last').outerWidth(); //총 가로크기 정의
            
            swiper = new WddoSwiper(calenderYearUL, {space: calenderPadding});
            swiper.init();

            swiper.setPos((calenderULWidth - WDDO_SKT_SMART.bw + (calenderPadding*2)) * -1);
        }

        function initEvent() {
            //월 창 열림
            calenderBtnA.on('click.sktsmart', function (e) {
                if (calenderViewDIV.css('display') === 'none') {
                    calenderViewDIV.slideDown();
                } else {
                    calenderViewDIV.slideUp(function () {
                        memoryDate();
                    });
                }
            });
            
            //확인 클릭
            calenderViewDIV.find('a.btn_yellow').on('click.sktsmart', function (e) {
                //선택한 월이 있다면
                if (currentMonth !== undefined) {
                    calenderBtnA.text(currentYear + '년 ' + currentMonth + '월');
                    calenderBtnA.trigger('onchange', {year:currentYear, month:currentMonth});    
                } 
                
                //defaultMonthOn();
                calenderViewDIV.slideUp(function () {
                    memoryDate();
                });
            });
            
            //연도 선택
            calenderYearUL.find('a').on('click.sktsmart', function (e) {
                var target = $(e.currentTarget);
                var idx = target.closest('li').index();
                
                defaultMonthOn();
                
                calenderYearUL.find('li').removeClass('on').eq(idx).addClass('on');
                
                currentYear = parseInt(target.text());
                
                drawMonth();
            });
            
            //월 선택
            calenderMonthUL.on('click', 'a', function (e) {
                var target = $(e.currentTarget);
                
                defaultMonthOn();
                
                target.addClass('on');
                
                currentMonth = target.closest('li').index() + 1;
            });
            
            //년도 좌우 버튼
            calenderPrevBtnA.on('click', function (e) {
                swiper.setPos(swiper.getPos() + (WDDO_SKT_SMART.bw - (calenderPadding*2)));
            });
            
            calenderNextBtnA.on('click', function (e) {
                swiper.setPos(swiper.getPos() - (WDDO_SKT_SMART.bw - (calenderPadding*2)));
            });
        }
        
        //현재 청구서 연도로 연도 이동(닫히면 발생)
        function memoryDate() {
            var viewYear = parseInt(calenderBtnA.text().substr(0, calenderBtnA.text().indexOf(' ')));
            var viewMonth = parseInt(calenderBtnA.text().substr(calenderBtnA.text().indexOf(' '), calenderBtnA.text().length));
            
            currentYear = viewYear;
            currentMonth = viewMonth;
            
            var targetYearA;
            var targetYearIdx;
            calenderYearUL.find('li > a').each(function (idx) {
                if ($(this).text() === viewYear) {
                    //연도 활성화 기억
                    targetYearA = $(this).closest('li > a');
                    targetYearA.triggerHandler('click.sktsmart');
                    
                    //활성화 연도쪽으로 이동 이동
                    targetYearIdx = targetYearA.closest('li').index() + 2;
                    swiper.setPos(((targetYearIdx * calenderYearUL.find('li:last').outerWidth()) - WDDO_SKT_SMART.bw + (calenderPadding*2)) * -1);

                    //월 활성화 기억
                    calenderMonthUL.find('li').eq(viewMonth - 1).find('a').addClass('on');
                         
                    return false;
                } 
            });
        }
        
        //월 활성화 삭제
        function defaultMonthOn() {
            currentMonth = undefined;
            calenderMonthUL.find('a').removeClass('on');
        }
        
        //연도 변경하여 있는 청구서 월 선택할 수 있도록 활성화 변경 
        function drawMonth() {
            var i = 0;
            var date = [];
            
            if (jsonData !== undefined) {
                for (; i < jsonData.bill.data.length; i += 1) {
                    // 해당년도 찾아 청구서 있는 날짜 배열 반환
                    if (parseInt(jsonData.bill.data[i].year) === currentYear) date = jsonData.bill.data[i].date.split(',');
                }
                
                calenderMonthUL.find('li').removeClass('vitality').find('a').contents().unwrap();
                
                var month;
                $(date).each(function (idx) {
                    month = parseInt(date[idx]);
                    
                    calenderMonthUL.find('li').eq(month - 1).addClass('vitality').contents().wrap('<a href="#">'); 
                });
            }
        }

        /**
         * 숫자 1자릿수 앞에 0 붙이기
         */
        function force2Digits(value) {
            return (value < 10) ? '0' + value.toString() : value.toString();
        }

        this.init = function () {
            $(document).ready(function () {
                init();    
            });
        };
        
        this.getTarget = function () {
            return calenderBtnA;
        }
    };

    return wddoObj;
}(jQuery));

/**
 * 청구서의 상단 메뉴
 * 
 *  var billMenuSwiper = new BillMenuSwiper();
 * 
 *  billMenuSwiper.init();              - 초기화
 *  billMenuSwiper.getContainer();      - 컨테이너 반환
 *  billMenuSwiper.setActivate(index);  - 활성화 변경
 * 
 */
var BillMenuSwiper = (function ($) {
    var wddoObj = function () {
        var billTabDIV,                     //탭
            billMenuUL,                     //대상 UL
            billMenuA,                      //메뉴 A
            act,                            //현재 위치
            swiper,                         //스와이퍼
            isShortMenu = false,            //메뉴 3개이하 150625
            init = function () {
                billTabDIV = $('div.tab');
                billMenuUL = billTabDIV.find('ul');
                billMenuA = billMenuUL.find('a');
                
                var billMenuSpace = parseInt(billMenuUL.css('paddingLeft'));
                
                 // 150625 메뉴 3개 이하, 초과 분기
                if (billMenuA.length <= 4) {
                    isShortMenu = true;
                    $('.grd_prev').css('display', 'none');
                    $('.grd_next').css('display', 'none');
                }
                var opt = {space: billMenuSpace, isShortMenu: isShortMenu}
                swiper = new WddoSwiper(billMenuUL, opt);
                // --- 150625
                swiper.init();
               
                initLayout();
                initEvent();
            };//end init
            
        function initLayout() {
            act = 0;
            changeActMenu();
        }
        
        function initEvent() {            
            //메뉴 클릭
            billMenuUL.find('a').on('click.sksmart', function (e) {
                var target = $(e.currentTarget);
                var idx = target.closest('li').index();
                
                act = idx;
                changeActMenu();
                moveBillMenu();
                
                billTabDIV.trigger('onchange', act);
            });
            
            //화살표 클릭
            billTabDIV.find('a.btn_prev').on('click.sksmart', function (e) {
                var target = billMenuUL.find('li').eq(act).prev().find('a');
                
                target.trigger('click.sksmart');
            });
            
            billTabDIV.find('a.btn_next').on('click.sksmart', function (e) {
                var target = billMenuUL.find('li').eq(act).next().find('a');
                
                target.trigger('click.sksmart');
            });
        }
        
        //클릭에 따른 TargetX 변경
        function moveBillMenu() {
            if (isShortMenu) return; // 150625
            var target = billMenuUL.find('li > a').eq(act);
            var standWdith = 0;
            var prevMenuLI = target.closest('li').prevAll().not(':first');
            var leftMargin = parseInt(target.closest('li').filter(':last').css('marginLeft'));
            prevMenuLI.each(function (idx) { //prevAll() 거꾸로 담기때문에 :first 가 선택한 앞 메뉴임
                standWdith -= parseInt( $(this).outerWidth() + parseInt($(this).css('marginLeft')) );
                if (idx === prevMenuLI.filter(':first').index()) standWdith -= leftMargin;
            });

            swiper.setPos(standWdith);
            eventCheck();
        }
        
        //활성화 변경
        function changeActMenu() {
            billMenuA.removeClass('on').eq(act).addClass('on');
        }
        
        this.init = function () {
            init();
        };
        
        this.getContainer = function () {
            return billTabDIV;
        };
        
        this.setActivate = function (idx) {
            act = idx;
            changeActMenu();
            moveBillMenu();
        };
    };

    return wddoObj;
}(jQuery));

/**
 * 스와이프
 * 
 * var swiper = new WddoSwiper(_target, options);
 * 
 * @param _target    ::: 대상
 * @param options    ::: 설정 Object 값
 * 
 * options = {
 *     space : 여백 크기
 *     isShortMenu: 메뉴 3개 이하
 * }
 * 
 * swiper.init();       - 초기화
 * swiper.setPos(pos);  - 위치 이동
 * swiper.getPos();     - 이동값 반환
 * 
 */
var WddoSwiper = (function ($) {
    var wddoObj = function (_target, options) {
        var target = _target,
            targetWidth = 0,            //메뉴들의 총 크기
            targetX = 0,                //메뉴 목표 X 좌표
            touchStartPos = 0,          //터치 시작 X 좌표
            touchMovePos = 0,           //터치 이동거리 X 좌표
            startPos = 0,               //메뉴 터치 전 X 좌표
            browserWidth,
            opts,
            defaults = getDefaultOption(),
            init = function () {
                opts = $.extend(defaults, options);
                
                target.find('li').each(function () { targetWidth += ( $(this).outerWidth() + parseInt($(this).css('marginLeft')) ) });
                
                initLayout();
                initEvent();
            };
            
        function getDefaultOption() {
            return {
                space : 0
            }
        }
            
        function initLayout() {
            target.css('transition', 'all .2s ease-out');
        }
            
        function initEvent() {
            var menuLength = $('.top_fixed > .tab > li').length;
            //터치 이벤트
            target.on('touchstart.wswiper', function (e) {
                //포인터와 대상의 시작 X좌표 지정
                touchStartPos = (event.touches !== undefined) ? event.touches[0].clientX : 0;
                startPos = (target.css('transform') !== 'none') ? parseInt(matrixToArray(target.css('transform'))[4]) : 0;            
            });
   
            target.on('touchmove.wswiper', function (e) {
                touchMovePos = touchStartPos - ((event.touches !== undefined) ? event.touches[0].clientX : 0); //이동한 거리 계산

                move(startPos - touchMovePos);
                
                e.preventDefault();
            });
            
            target.on('touchend.wswiper', function (e) {
                
            });
            
            $(window).on('resize.wswiper', function (e) {// orientationchange.sktsmart
                browserWidth = $(document).outerWidth();
            }).triggerHandler('resize.wswiper');
        }
        
        function move(xpos) {
            if (opts.isShortMenu) return; // 150625
            targetX = getBillTopRange(xpos); //X 목표 좌표값 계산
            target.css('transform' , 'translate3d('+ Math.round(targetX) +'px, 0px, 0px)');
        }
        
        //이동 한계치 반환 함수
        function getBillTopRange(xpos) {
            //한계치
            if (xpos > 0) { xpos = 0; }
            else if (xpos < ((targetWidth - browserWidth) + (opts.space * 2)) * -1) { xpos = ((targetWidth - browserWidth) + (opts.space * 2)) * -1; } // li 메뉴들의 총길이 - 브라어저크기 + 양쪽 여백크기*2
            
            return xpos;
        }
        
        //matrix to array
        function matrixToArray(str) {
            return str.split('(')[ 1].split(')')[0].split(',') ;
        };
        
        this.init = function () {
            init();
        };
        
        this.setPos = function (pos) {
            move(pos);
        };
        
        this.getPos = function () {
            return targetX;
        };
    };

    return wddoObj;
}(jQuery));

/**
 * 파이 차트
 * 
 * 파이형태의 차트를 canvas 를 이요하여 그림
 * 
 *  var chart = new PieChart('id');
 *  chart.render(value);
 * 
 * @param value    ::: 배열형태의 값 ex) [50, 50] // 50% 50% 짜리 차트를 그림
 * 
 */
var PieChart = (function ($) {
    var wddoObj = function (id) {
        var stage = new createjs.Stage(id);
        var c = stage.canvas;

        //컬러값
        var colorArr = ['fc8422', 'f8c02c', '4cca87', 'c9aa8b', 'd12b35', '61d1dc', 'fdeb75', 'f3a20e', '666bba', '3e5a99', '61d1dc', 'fdeb75', 'f3a20e', '666bba', '3e5a99', '61d1dc', 'fdeb75', 'f3a20e', '666bba', '3e5a99', '61d1dc', 'fdeb75', 'f3a20e', '666bba', '3e5a99', '61d1dc', 'fdeb75', 'f3a20e', '666bba']; //명도비 색상
        
        //패턴url
        var patternArr = [  '../images/common/piechart_pattern0.png',
                            '../images/common/piechart_pattern1.png',
                            '../images/common/piechart_pattern2.png',
                            '../images/common/piechart_pattern3.png'
                            ];
        
        var valueArr;                                           //인자로 받은 배열
        var shadowWeight = 5;                                   //오른쪽과 아래 여백.. 그림자 크기로 활용
        var radius = Math.floor((c.width - shadowWeight) / 2);  //차트 반지름
        var cx = (c.width + shadowWeight) / 2;                  //중앙 x
        var cy = (c.height - shadowWeight) / 2;                 //중앙 y
        var valueData = [];                                     //인자로 받은 배열값을 가공한 데이터 [50, 50] -> [50, 100]
        var container;                                          //색들어간 차트감싼 컨테이너
        var pieContainer;                                       //그림자 포함한 전체 컨테이너
        var targetPercent = 0;                                  //차트를 그려나갈 목표 값
        var totalPercent = 100;                                 //총 목적 값
        
        function init () {
            //클리어
            stage.clear();
            
            //컨테이너
            container = new createjs.Container();
            stage.addChild(container); 

            //각도 0 을 12시로 정렬
            container.regX = cx;
            container.regY = cy;
            container.rotation = -90;
            container.x = cx - shadowWeight;
            container.y = cy;

            
            //초기화
            settingValue();
            drawGraph();
            drawMask();
            drawCenterStage();
            
            stage.update();
           
            createjs.Ticker.setFPS(60);
            createjs.Ticker.addEventListener("tick", stage);

            // 150623 
            $('canvas').css('border', '1px solid white');
            $('canvas').css('border', 'none');
            $('.circle_graph').append($('canvas'));
            // 150623 
         
        }
        
        //중앙 스테이지 그리기
        function drawCenterStage() {
            var centerStageShadow = new createjs.Shape();
            stage.addChild(centerStageShadow);
            centerStageShadow.graphics.beginFill("rgba(0, 0, 0, 0.1)").drawCircle(cx - shadowWeight, cy, radius);
            
            var centerStage = new createjs.Shape();
            stage.addChild(centerStage);
            centerStage.graphics.beginFill("#ffffff").drawCircle(cx - shadowWeight, cy, radius);
            
            //중심점 중앙으로
            centerStageShadow.regX = centerStageShadow.x = centerStage.regX = centerStage.x = cx;
            centerStageShadow.regY = centerStageShadow.y = centerStage.regY = centerStage.y = cy;
            
            //초기화
            centerStageShadow.alpha = 0;
            centerStageShadow.scaleX = centerStageShadow.scaleY = centerStage.scaleX = centerStage.scaleY = 0.82;
            //centerStage.shadow = new createjs.Shadow("rgba(0, 0, 0, 0.1)", shadowWeight, shadowWeight, 0);
            
            //중앙 스테이지 그림자 트윈
            createjs.Tween.get(centerStageShadow)
            .to({alpha: 1, x:cx+shadowWeight, y:cy+shadowWeight}, 300);
        }
        
        //그래프 그리기
        function drawGraph() {
            pieContainer = new createjs.Container();
            container.addChild(pieContainer);
                
            var pie;
            var i;
            var point;
            var startNum;
            var pattern;
            var patternMask;
            for (i in valueData) {
                startNum = (parseInt(i) === 0) ? 0 : valueData[i - 1]; // 시작은 0 부터
                pie = new createjs.Shape();
 
                //색상 들어간 그래프 그리기
                pie.graphics.beginFill('#'+colorArr[i]);
                pie.graphics.moveTo(cx, cy);
                pie.graphics.arc(cx, cy, radius, (percentToArc(startNum)) * Math.PI, (percentToArc(valueData[i])) * Math.PI, false);
                pie.graphics.endFill();
                pieContainer.addChild(pie);

                //패턴 그리기
                if (patternArr.length > i) {
                    patternMask = pie.clone();
                    pieContainer.addChild(patternMask);
                    
                    pattern = new createjs.Bitmap(patternArr[i]);
                    pattern.alpha = 0.1;
                    pieContainer.addChild(pattern);
                    
                    pattern.mask = patternMask;
                }
            }
            
            //흰색 구분 라인 그리기
            var line = new createjs.Shape();
            pieContainer.addChild(line);
            
            for (i in valueData) {
                //값이 하나이면 100%로 구분 라인 없음
                if (valueData.length > 1) {
                    point = resolveToPoint(percentToAngle(valueData[i]), radius);

                    line.graphics.beginStroke('#ffffff');
                    line.graphics.moveTo(cx, cy);
                    line.graphics.lineTo(point.x + cx, point.y + cy);
                    line.graphics.closePath();
                    line.graphics.endStroke();
                }
            }
        }
            
        //그래프 마스킹
        function drawMask() {
            var mask = new createjs.Shape();
            container.addChild(mask);
            pieContainer.mask = mask;
            
            //shadow 속성시 외곽 계단 현상으로 shape로 그려줌  
            var shadow = new createjs.Shape();
            container.addChildAt(shadow, 0);

            //마스킹 시작 준비
            mask.graphics.moveTo(cx, cy);
            mask.graphics.arc(cx, cy, radius + 1, 0 * Math.PI, percentToArc(targetPercent) * Math.PI, false);

            //targetPercent 를 이징값으로 0~100 까지 변화시키며 마스킹그려나감
            new createjs.Tween({num : targetPercent}, {onChange: function (e) {
                mask.graphics.clear();
                mask.graphics.moveTo(cx, cy);
                mask.graphics.arc(cx, cy, radius + shadowWeight, 0 * Math.PI, percentToArc(e.target.target.num) * Math.PI, false);
                
                shadow.graphics.clear();
                shadow.graphics.beginFill("rgba(0, 0, 0, 0.1)");
                shadow.graphics.moveTo(cx, cy);
                shadow.graphics.arc(cx - shadowWeight, cy + shadowWeight, radius, 0 * Math.PI, percentToArc(e.target.target.num) * Math.PI, false);
            }})
            .wait(300) //0.3 초간 딜레이 후 0.9초동안 마스킹 그려줌 
            .to({num : totalPercent}, 900, createjs.Ease.getPowOut(4));
        }
            
        //%를 0~2로 변환
        function percentToArc(percent) {
            return getLinearFunction(0, 100, 0, 2, percent);
        }
        
        //%를 각도 수치로 변환
        function percentToAngle(percent) {
            return getLinearFunction(0, 100, 0, 360, percent);
        }
        
        //밑변 높이 구하는 함수
        function resolveToPoint(deg, radius) {
            var rad = deg * Math.PI / 180;
            return {x: radius * Math.cos(rad), y: radius * Math.sin(rad)};
        }
            
        //1차방정식
        function getLinearFunction(a, b, c, d, x) {
            return (d - c) / (b - a) * (x - a) + c
        }
            
        //생성 시 나눠 받은 값을 그래프 % 값으로 변환 ex) [25,25,50] > [25, 50, 100]
        function settingValue() {
            var val = 0;
            var i;
            for (i in valueArr) {
                val += valueArr[i];
                
                valueData.push(val);
            }
        }

        this.setRender = function (value) {
            c = stage.canvas;
    
            valueArr = value;
            valueData = [];
            container;
            pieContainer;
            targetPercent = 0;
            totalPercent = 100;
            
            var patternCount = 0;
            //패턴 이미지 로드
            $(patternArr).each(function(i) {

                var img = new Image();
                img.src= patternArr[i];

                img.onload = function () {
                    patternCount += 1;
                    
                    if (patternCount >= patternArr.length) init();
                }
           
            })
            
        }
    };
    
    return wddoObj;
}(jQuery));

/********************************************************************************************/
/************************************** jqeury extends **************************************/
/********************************************************************************************/

if (jQuery.fn.getInstance === undefined) jQuery.fn.getInstance = function () { return this.data('scope'); };

if (jQuery.fn.setChart === undefined) jQuery.fn.setChart = function (kind, data) {
    switch (kind) {
        case 'pie' :
            var pieChart = new PieChart($(this).attr('id'));
             pieChart.setRender(data); 
            break;
        case 'line' :
            
            break;
        default :
    }
};

if (jQuery.fn.scrollTo === undefined) jQuery.fn.scrollTo = function( target, options, callback ){
  if(typeof options == 'function' && arguments.length == 2){ callback = options; options = target; }
  var settings = $.extend({
    scrollTarget  : target,
    offsetTop     : 0,
    duration      : 500,
    easing        : 'swing'
  }, options);
  return this.each( function(){
    var scrollPane = $(this) ;
    var scrollTarget = ( typeof settings.scrollTarget == "number") ? settings.scrollTarget : $(settings.scrollTarget) ;
    var scrollY = ( typeof scrollTarget == "number") ? scrollTarget : scrollTarget.offset().top + scrollPane.scrollTop() - parseInt(settings.offsetTop) ;
    scrollPane.animate({scrollTop : scrollY }, parseInt(settings.duration), settings.easing, function (){
      if (typeof callback == 'function') { callback.call(this) ; }
    });
  });
};
